Package org.springframework.security.config.http

# Enum Class MatcherType

java.lang.Object
java.lang.Enum<MatcherType>
org.springframework.security.config.http.MatcherType

All Implemented Interfaces:
  `Serializable`, `Comparable<MatcherType>`, `Constable`

public enum MatcherType extends Enum<MatcherType>
Defines the `RequestMatcher` types supported by the namespace.

Since:
  3.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ant`
`ciRegex`
`mvc`
`regex`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`createMatcher(org.springframework.beans.factory.xml.ParserContext pc, String path, String method)`
`org.springframework.beans.factory.config.BeanDefinition`
`createMatcher(org.springframework.beans.factory.xml.ParserContext pc, String path, String method, String servletPath)`
`static MatcherType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MatcherType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ant

public static final MatcherType ant

### regex

public static final MatcherType regex

### ciRegex

public static final MatcherType ciRegex

### mvc

public static final MatcherType mvc

## Method Details

### values

public static MatcherType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MatcherType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### createMatcher

public org.springframework.beans.factory.config.BeanDefinition createMatcher(org.springframework.beans.factory.xml.ParserContext pc, String path, String method)

### createMatcher

public org.springframework.beans.factory.config.BeanDefinition createMatcher(org.springframework.beans.factory.xml.ParserContext pc, String path, String method, String servletPath)